Search Gradle plugins

Version 1.3.1 (latest)

Created 08 August 2021.

Baseline settings for gradle typescript

Using the plugins DSL:

plugins {
  id "com.gradlets.baseline-typescript" version "1.3.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.gradlets.gradle.typescript:gradle-baseline-typescript:1.3.1"
  }
}

apply plugin: "com.gradlets.baseline-typescript"

Using the plugins DSL:

plugins {
  id("com.gradlets.baseline-typescript") version "1.3.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.gradlets.gradle.typescript:gradle-baseline-typescript:1.3.1")
  }
}

apply(plugin = "com.gradlets.baseline-typescript")

Learn how to apply plugins to subprojects